import * as ESTree from 'estree';
import { ObfuscatingGuardResult } from '../../../enums/node/ObfuscatingGuardResult';
import { ConditionalCommentObfuscatingGuard } from './ConditionalCommentObfuscatingGuard';
export declare class ConditionalCommentObfuscatingGuard2 extends ConditionalCommentObfuscatingGuard {
    static readonly obfuscationEnableCommentRegExp: RegExp;
    static readonly obfuscationDisableCommentRegExp: RegExp;
    static isConditionalComment(comment: ESTree.Comment): boolean;
    check(node: ESTree.Node): ObfuscatingGuardResult;
    protected checkComments(comments: ESTree.Comment[]): boolean;
}
