import * as ESTree from 'estree';
import { IObfuscatingGuard } from '../../../interfaces/node-transformers/preparing-transformers/obfuscating-guards/IObfuscatingGuard';
import { ObfuscatingGuardResult } from '../../../enums/node/ObfuscatingGuardResult';
export declare class ConditionalCommentObfuscatingGuard implements IObfuscatingGuard {
    static readonly obfuscationEnableCommentRegExp: RegExp;
    static readonly obfuscationDisableCommentRegExp: RegExp;
    private obfuscationAllowed;
    static isConditionalComment(comment: ESTree.Comment): boolean;
    check(node: ESTree.Node): ObfuscatingGuardResult;
    protected checkComments(comments: ESTree.Comment[]): boolean;
}
